package com.ibm.ccl.ua.generators.sitexml;

import java.util.Hashtable;

import org.eclipse.core.runtime.IConfigurationElement;
import org.eclipse.core.runtime.IExtension;
import org.eclipse.core.runtime.Platform;

public class CategoryMappingHandler {

	private Hashtable categoryMappings = new Hashtable();
	
	public CategoryMappingHandler()
	{
		//Initialize hashtable based off of extension
		String EXT_PT = "com.ibm.ccl.ua.generators.sitexml.categorymapping"; //$NON-NLS-1$ 
		
		// Get all products that contribute to the preference harvester extension point
		IExtension[] extensions = Platform.getExtensionRegistry()
				.getExtensionPoint(EXT_PT).getExtensions();

		// Loop through the array of extensions, pull out the data, and populate
		// our hashtable with the category mappings
		
		String currFromValue="",currToValue = ""; //$NON-NLS-1$//$NON-NLS-2$
		
		//Get total number of extensions
		int totalContributers = extensions.length;

		for (int i = 0; i < totalContributers; i++) {
			IExtension extension = extensions[i];
			IConfigurationElement[] elements = extension
					.getConfigurationElements();

				for (int j = 0; j < elements.length; j++) 
				{
					IConfigurationElement configurationElement = elements[j];
				
					//$NON-NLS-1$
					currFromValue = configurationElement.getAttribute("initial_category");
					currToValue = configurationElement.getAttribute("map_to_category");
					
					//Add From/To pair to the hash table
					categoryMappings.put(currFromValue, currToValue);
										
			}
		}

		
	}
	
	public Hashtable getCategoryMappingsHash()
	{
		return categoryMappings;
	}
	
}
